Subject: Re: linux-next: build failure after merge of almost all the trees

From: Stephen Rothwell <[email-masked]>
Date: Tue, 2 Nov 2021 23:19:37 +1100

Hi all,

On Tue, 2 Nov 2021 23:13:07 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> On Tue, 2 Nov 2021 08:06:10 +0100 Arnd Bergmann <[email-masked]> wrote:
> >
> > On Tue, Nov 2, 2021 at 7:44 AM Stephen Rothwell <[email-masked]> wrote:  
> > >
> > > On Thu, 28 Oct 2021 23:38:44 +1100 Stephen Rothwell <[email-masked]> wrote:    
> > > >
> > > > On Thu, 28 Oct 2021 21:26:51 +1100 Stephen Rothwell <[email-masked]> wrote:    
> > > > >
> > > > > Today's linux-next build (powerpc allyesconfig) failed like this:
> > > > >
> > > > > fs/ntfs/aops.c: In function 'ntfs_write_mst_block':
> > > > > fs/ntfs/aops.c:1311:1: error: the frame size of 2304 bytes is larger than 2048 bytes [-Werror=frame-larger-than=]
> > > > >  1311 | }
> > > > >       | ^
> > > > > cc1: all warnings being treated as errors
> > > > >
> > > > > I have no idea what has caused this.    
> > > >
> > > > With a nudge from Arnd, it seems the immediate case was commit
> > > >
> > > >   f22969a66041 ("powerpc/64s: Default to 64K pages for 64 bit book3s")
> > > >
> > > > from the powerpc tree switching the allyesconfig build from 4k pages to
> > > > 64k pages which expanded a few arrays on the stack in that function.    
> > >
> > > Can we do something about this, please?    
> > 
> > I submitted a workaround a while ago. Anton didn't like it, but has not
> > come up with a proper fix in ntfs either:
> > 
> > https://lore.kernel.org/lkml/[email-masked]/
> > 
> > It does need to be changed a bit as I realized it depends on a rework of
> > the Kconfig logic that I had in my randconfig build tree to have a common
> > page size symbol across architectures. Without my other patch, it also
> > needs to check for PPC_64K_PAGES.
> > 
> > Should I send an updated version of the patch?  
> 
> That would be good, thanks.
> 
> Even better would be to split up the function some how, but having had
> a bit of a look at it, that may be a much longer job.  I am assuming
> that allocations (or their failure) are out of the question in that
> particular function.

Looking again, we probably just need to disable CONFIG_NTFS_RW ...

-- 
Cheers,
Stephen Rothwell